gi-gdk3-3.0.30: Gdk 3.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gdk.Structs.Point

Contents

- Exported types
- Methods
- Properties
  - x
  - y

Description

Defines the x and y coordinates of a point.

Synopsis

- newtype Point = Point (ManagedPtr Point)
- newZeroPoint :: MonadIO m => m Point
- getPointX :: MonadIO m => Point -> m Int32
- setPointX :: MonadIO m => Point -> Int32 -> m ()
- getPointY :: MonadIO m => Point -> m Int32
- setPointY :: MonadIO m => Point -> Int32 -> m ()

# Exported types

newtype Point Source #

Memory-managed wrapper type.

Constructors

Point (ManagedPtr Point) |

#### Instances

Instances details

Eq Point Source # |
Instance details Defined in GI.Gdk.Structs.Point Methods (==) :: Point -> Point -> Bool Source # (/=) :: Point -> Point -> Bool Source #
BoxedPtr Point Source # |
Instance details Defined in GI.Gdk.Structs.Point Methods boxedPtrCopy :: Point -> IO Point Source # boxedPtrFree :: Point -> IO () Source #
CallocPtr Point Source # |
Instance details Defined in GI.Gdk.Structs.Point Methods boxedPtrCalloc :: IO (Ptr Point) Source #
ManagedPtrNewtype Point Source # |
Instance details Defined in GI.Gdk.Structs.Point Methods toManagedPtr :: Point -> ManagedPtr Point Source #
tag ~ 'AttrSet => Constructible Point tag Source # |
Instance details Defined in GI.Gdk.Structs.Point Methods new :: MonadIO m => (ManagedPtr Point -> Point) -> [AttrOp Point tag] -> m Point Source #

newZeroPoint :: MonadIO m => m Point Source #

Construct a `Point` struct initialized to zero.

# Methods

# Properties

## x

the x coordinate of the point.

getPointX :: MonadIO m => Point -> m Int32 Source #

Get the value of the “`x`” field. When overloading is enabled, this is equivalent to

    get point #x

setPointX :: MonadIO m => Point -> Int32 -> m () Source #

Set the value of the “`x`” field. When overloading is enabled, this is equivalent to

    set point [ #x := value ]

## y

the y coordinate of the point.

getPointY :: MonadIO m => Point -> m Int32 Source #

Get the value of the “`y`” field. When overloading is enabled, this is equivalent to

    get point #y

setPointY :: MonadIO m => Point -> Int32 -> m () Source #

Set the value of the “`y`” field. When overloading is enabled, this is equivalent to

    set point [ #y := value ]